"use client"
import { DialogTrigger } from "react-aria-components"
import { useIntl } from "react-intl"

import CustomerSupportModal from "@/components/HotelReservation/MyStay/ReferenceCard/Actions/CustomerSupportModal"
import Button from "@/components/TempDesignSystem/Button"

export default function CustomerSupport() {
  const intl = useIntl()

  return (
    <DialogTrigger>
      <Button fullWidth intent="secondary" size="small">
        {intl.formatMessage({ defaultMessage: "Customer Support" })}
      </Button>
      <CustomerSupportModal />
    </DialogTrigger>
  )
}
